V6.0

put

/ec-dc-svc/rest/v6.0/studies/{studyId}/{mode}/subjects/{subjectId}

Update subject information for a specific subject by identifier within a study. All subject demographic, event, and status fields may be updated. Path parameters define the study and subject. The request body provides new attribute values for the subject. Note: This API updates the subject with the provided details.

Request

Path Parameters
  • Mode of the study, accepts: test, active, or training.
    Example:
    test
  • Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
    Example:
    5D5F9311C591424F852B99FD902E98A4
  • Unique subject identifier (UUID, 32-character uppercase hexadecimal string) representing the patient/participant enrolled in the study.
    Example:
    2C5F9311C591424F852B99FD902E98A4
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Show Source
Nested Schema : SubjectDto14
Type: object
Contains information related to subject reScreen Event Instanc eNum
Show Source
Examples

Back to Top

Response

Supported Media Types

200 Response

Updated subject details returned if update successful.
Body ()
Root Schema : SubjectRespDto15
Type: object
Subject response details including re-screening event instance number and all inherited subject properties
Show Source
Examples

400 Response

Bad request.
Body ()
Root Schema : DcsResponse
Type: object
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Nested Schema : details
Type: object
Back to Top